Index: /trunk/MagicSoft/Mars/condor/processds.submit
===================================================================
--- /trunk/MagicSoft/Mars/condor/processds.submit	(revision 8638)
+++ /trunk/MagicSoft/Mars/condor/processds.submit	(revision 8638)
@@ -0,0 +1,12 @@
+copy_to_spool = false
+Executable    = ./ganymed
+Arguments     = -b -f -v5 --config=$(rc) $(add) --n=$(num) --out=$(path)$(out) --log=$(path)$(out)/ganymed$(num).log $(path)/datasets/dataset$(ds).txt
+Universe      = vanilla
+Log           = /tmp/condor.log
+Error         = $(path)/logs/condor-ds.error
+Output        = $(path)/logs/condor-ds.out
+notification  = Error
+getenv = True
+
+Queue 
+
Index: /trunk/MagicSoft/Mars/condor/processsponde.submit
===================================================================
--- /trunk/MagicSoft/Mars/condor/processsponde.submit	(revision 8638)
+++ /trunk/MagicSoft/Mars/condor/processsponde.submit	(revision 8638)
@@ -0,0 +1,12 @@
+copy_to_spool = false
+Executable    = ./sponde
+Arguments     = -b -f -v5 --config=$(rc) --log=$(out)/sponde$(spondenum).log $(out)/ganymed$(num).root $(mcds) $(out)/sponde$(spondenum).root 
+Universe      = vanilla
+Log           = /tmp/condor.log
+Error         = $(path)/logs/condor-sponde.error
+Output        = $(path)/logs/condor-sponde.out
+notification  = Error
+getenv = True
+
+Queue 
+
Index: /trunk/MagicSoft/Mars/scripts/dospectrum
===================================================================
--- /trunk/MagicSoft/Mars/scripts/dospectrum	(revision 8637)
+++ /trunk/MagicSoft/Mars/scripts/dospectrum	(revision 8638)
@@ -46,7 +46,7 @@
 # 
 # To start several spondes please set the arrays $spondes.
-# It is also possible to start new spondes without rerunning 
-# ganymed and/or the other spondes. To do so, please set the 
-# variables $doganymed and $spondedones accordingly
+# It is also possible to start new spondes without rerunning ganymed and/or 
+# the other spondes. To do so, please set the variables $doganymed and 
+# $spondedones accordingly
 #
 # Remark: You have to submit the condor dag file from your Mars directory.
@@ -72,16 +72,16 @@
 # and your sponde.rc files 
 rcpath=$path/resources
-ganymedrc=$rcpath/ganymed_onoff.rc
+ganymedrc=$rcpath/ganymed_wobble_set5_final.rc
 # outpath for your spectrum results
 # a directory for each set of cuts will be created there and
 # the ganymed and sponde output will be stored in these directories
-specpath=/results/spectrumSet2
+specpath=$path/results/spectrumSet5
 # name of your dataset
 # it has to be stored as dataset$dataset.txt in the directory
 # $path/datasets
-dataset="20060002"
+dataset="20070001"
 # this is the name of the condor-dag file, which you have to submit 
 # with condor_submit_dag from your Mars directory
-dagfile=$condorpath/set2spectrum.dag3
+dagfile=$condorpath/spectrumSet5.dag
 # here you define whether ganymed still has to be done
 # if yes, set the variable $doganymed to "yes"
@@ -92,16 +92,16 @@
 # (numbers in the following array)
 # the sponde.root files will be named in the same way (sponde(num).root)
-spondes=( 1 2 )
+spondes=(     1       2  3  4 12 13 14 15 )
 # in this array you define whether the sponde is already done
-spondedones=( "done" "" )
+spondedones=( "done" "" "" "" "" "" "" "" )
 
 # this is the mc dataset, which has been created with the script
-# preparemc
-mcdataset=$path/mc/mcdataset2.txt
+# preparemc, make sure to use the correct path
+mcdataset=$path/mc/mcdataset-for-sponde.txt
 
 # values for par3
-par3step=0.005
-par3numminus=10
-par3num=13
+par3step=0.01
+par3numminus=9
+par3num=11
 # values for par1
 par1step=0.005
@@ -111,4 +111,5 @@
 #
 # end of setup
+#-----------------------------------------------------------------------------
 # beginning of script
 # 
@@ -121,7 +122,7 @@
    exit
 fi
-if ! [ -e $path$specpath ]
-then
-   echo "Your output path $path$specpath does not exist."
+if ! [ -e $specpath ]
+then
+   echo "Your output path $specpath does not exist."
    exit
 fi
@@ -167,13 +168,13 @@
    if [ "$doganymed" = "yes" ]
    then
-      echo "JOB  gany$name $condorpath/processds.submit"
+      echo "JOB  ds"$dataset"gany"$name" "$condorpath"/processds.submit"
    else
-      echo "JOB  gany$name $condorpath/processds.submit DONE"
+      echo "JOB  ds"$dataset"gany"$name" "$condorpath"/processds.submit DONE"
    fi
-   echo "VARS gany$name path=\"$path\""
-   echo "VARS gany$name out=\"$dir\""
-   echo "VARS gany$name ds=\"$dataset\""
-   echo "VARS gany$name num=\"$dataset\""
-   echo "VARS gany$name rc=\"$rcfile\""
+   echo "VARS ds"$dataset"gany"$name" path=\"$path\""
+   echo "VARS ds"$dataset"gany"$name" out=\"$dir\""
+   echo "VARS ds"$dataset"gany"$name" ds=\"$dataset\""
+   echo "VARS ds"$dataset"gany"$name" num=\"$dataset\""
+   echo "VARS ds"$dataset"gany"$name" rc=\"$rcfile\""
    echo ""
 }
@@ -182,19 +183,19 @@
 function printspecdagentry()
 {
-   sponderc=$rcpath/sponde$1.rc
+   sponderc=$rcpath/sponde_wobble$1.rc
    if [ "$2" = "done" ]
    then
-      echo "JOB  spec$1_$name $condorpath/processsponde.submit DONE"
+      echo "JOB  ds"$dataset"spec"$1"_"$name" "$condorpath"/processsponde.submit DONE"
    else
-      echo "JOB  spec$1_$name $condorpath/processsponde.submit"
+      echo "JOB  ds"$dataset"spec"$1"_"$name" "$condorpath"/processsponde.submit"
    fi
-   echo "VARS spec$1_$name path=\"/home/dorner/final_analysis\""
-   echo "VARS spec$1_$name out=\"$outpath\""
-   echo "VARS spec$1_$name rc=\"$sponderc\""
-   echo "VARS spec$1_$name spondenum=\"$1\""
-   echo "VARS spec$1_$name mcds=\"$mcdataset\""
-   echo "VARS spec$1_$name num=\"$dataset\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" path=\""$path"\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" out=\""$outpath"\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" rc=\""$sponderc"\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" spondenum=\""$1"\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" mcds=\""$mcdataset"\""
+   echo "VARS ds"$dataset"spec"$1"_"$name" num=\""$dataset"\""
    echo ""
-   echo "PARENT gany$name CHILD spec$1_$name "
+   echo "PARENT ds"$dataset"gany"$name" CHILD ds"$dataset"spec"$1"_"$name 
    echo ""
 }
@@ -211,6 +212,5 @@
    do 
       name=${val1}_${val3}
-      dir=$specpath/ganyspec$name
-      outpath=$path$dir
+      outpath=$specpath/ganyspec$name
       rcfile=$outpath/ganymed_${name}_onoff.rc
       if ! [ -d $outpath ]
@@ -239,5 +239,5 @@
 echo "in total $count different sets of cuts are used"
 echo ""
-echo "you can submit it now with \"condor_submit_dag -f $dagfile\" from your Mars directory"
-echo ""
-
+echo "you can submit it now with \"condor_submit_dag -f -maxidle 7 $dagfile\" from your Mars directory"
+echo ""
+
